/*******************************************************************************
*
*   Author       -  Kiraly Tibor
*                   http://www.tkiraaly.hu
*   Date         -  2016.10.22.
*   Chip         -  ATmega8
*   Compiler     -  avr-gcc
*
*   c_suli_4_4.c
*   Kapcsolo figyelese, AND demo (ES kapcsolat)
*
*******************************************************************************/

#define F_CPU  4 MHZ

#include "tkiraaly_atmega8.h"

#define  LED_KIMENET    PB0_OUTPUT
#define  LED_BE         PB0_0
#define  LED_KI         PB0_1

#define  A_FELHUZAS     PD1_PULLUP
#define  A_GOMB         PD1_RD == 0

#define  B_FELHUZAS     PD5_PULLUP
#define  B_GOMB         PD5_RD == 0


int main( void)
{
   LED_KIMENET;
   A_FELHUZAS;
   B_FELHUZAS;
   for(;;)                                       // vegtelen ciklus
   {
      if ( A_GOMB && B_GOMB) LED_BE;
      else                   LED_KI;
   }
}